Page MenuHomePhabricator

wrong translations of Form related strings
Closed, ResolvedPublic2 Story Points

Description

The following strings seem to translate "Form" in the sense of an entry form as opposed to a lexicographical Form. This needs to be changed in order to avoid confusion. See also T189142.

  • wikibaselexeme-enter-form-representation
  • wikibaselexeme-empty-form-representation
  • datatypes-type-wikibase-lexeme-form
  • wikibaselexeme-add-form
  • apihelp-wbladdform-example-1
  • apihelp-wblremoveform-summary
  • apihelp-wblremoveform-param-id
  • apihelp-wblremoveform-param-bot
  • apihelp-wblremoveform-example-1
  • apihelp-wbleditformelements-summary
  • apihelp-wbleditformelements-param-formId
  • apihelp-wbleditformelements-param-data
  • wikibaselexeme-api-error-form-not-found
  • wikibaselexeme-api-error-parameter-not-form-id
  • wikibaselexeme-api-error-form-must-have-at-least-one-representation
  • wikibase-lexeme-summary-add-form
  • wikibase-lexeme-summary-remove-form
  • wikibase-lexeme-summary-add-form-representations
  • wikibase-lexeme-summary-set-form-representations
  • wikibase-lexeme-summary-remove-form-representations
  • wikibase-lexeme-summary-add-form-grammatical-features
  • wikibase-lexeme-summary-remove-form-grammatical-features
  • wikibase-lexeme-summary-update-form-elements
  • wikibaselexeme-diffview-form

AC

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterMake Form Translations clearly lexicographical Forms

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptApr 6 2018, 10:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lydia_Pintscher triaged this task as Medium priority.May 27 2018, 3:58 PM
Lydia_Pintscher added a project: patch-welcome.
Pablo-WMDE updated the task description. (Show Details)Jun 12 2018, 12:46 PM
Pablo-WMDE set the point value for this task to 2.
Pablo-WMDE updated the task description. (Show Details)Jun 27 2018, 10:57 AM
Tarrow claimed this task.Jul 11 2018, 7:51 AM
Tarrow added a subscriber: Amire80.Jul 12 2018, 7:50 AM

As far as I can tell {{Identical}} is only to be used when the two messages are exactly the same string in English and have the same meaning. It looks like applying it wrongly to Form in the past actually exacerbated the problem. See: T189142. This was already being used to reference Forms that you fill in like a questionnaire

Perhaps we should make a new pointer to {{Identical|lexicographical_Form}}. This could be used on:

  • datatypes-type-wikibase-form
  • wikibase-listdatatypes-wikibase-form-head
  • wikibaselexeme-diffview-form
  • wikibaselexeme-header-forms (plural)

Maybe we should ask someone like @Amire80 if that's the right thing to do.

Change 445359 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseLexeme@master] Make Form Translations clearly lexicographical Forms

https://gerrit.wikimedia.org/r/445359

datatypes-type-wikibase-lexeme-form
	is that to mean datatypes-type-wikibase-form ?


untouched but still confusing in my eyes
	wikibaselexeme-header-forms
		distinction is clear in qqq
	wikibaselexeme-form-field-representation-label
	wikibaselexeme-form-field-language-label
	wikibaselexeme-form-representation-redundant-language
	wikibaselexeme-form-grammatical-features
	wikibaselexeme-form-description
		here I'm not sure w/o research if this means the one type of form or the other

@Lydia_Pintscher Following up from Pablo's comments.

Was the above list the only ones needing changes or was it just the list drawn up at the time?

There are still some qqq entries that don't have the word 'lexicographical' before each 'Form'. Were these ok or are they just new/missing from the original list?

@Lydia_Pintscher The patch does what the story says so merged it - let's create a follow-up if more is to be changed down the road.

Change 445359 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Make Form Translations clearly lexicographical Forms

https://gerrit.wikimedia.org/r/445359

@Lydia_Pintscher Question from the discussion on gerrit: "Should we also use “lexicographical sense” instead of “sense” for new senses messages?"

Pablo-WMDE removed Tarrow as the assignee of this task.Jul 17 2018, 8:47 AM
Pablo-WMDE added a subscriber: Tarrow.
datatypes-type-wikibase-lexeme-form
	is that to mean datatypes-type-wikibase-form ?
untouched but still confusing in my eyes
	wikibaselexeme-header-forms
		distinction is clear in qqq
	wikibaselexeme-form-field-representation-label
	wikibaselexeme-form-field-language-label
	wikibaselexeme-form-representation-redundant-language
	wikibaselexeme-form-grammatical-features
	wikibaselexeme-form-description
		here I'm not sure w/o research if this means the one type of form or the other

@Lucas_Werkmeister_WMDE Could you have a look at those please?

@Lydia_Pintscher Following up from Pablo's comments.
Was the above list the only ones needing changes or was it just the list drawn up at the time?

The latter. Lucas created it IIRC.

There are still some qqq entries that don't have the word 'lexicographical' before each 'Form'. Were these ok or are they just new/missing from the original list?

Just missing I believe.

@Lydia_Pintscher Question from the discussion on gerrit: "Should we also use “lexicographical sense” instead of “sense” for new senses messages?"

I _think_ it should be fine without for Senses. Or do we have a message that you think will be translated in the wrong way?

@Lucas_Werkmeister_WMDE Could you have a look at those please?

I’m not sure what I’m looking at here, to be honest. The datatypes message probably means the other one, yes. For the rest I’m missing too much context to answer the question, sorry :)

The latter. Lucas created it IIRC.

IIRC I just searched for “formul” in the translations (git grep -i formul i18n/, MediaWiki code search). There are still plenty of results now :/

I _think_ it should be fine without for Senses. Or do we have a message that you think will be translated in the wrong way?

I was the one who asked the question on Gerrit, and I didn’t have anything specific in mind. It’s probably fine.